GraphQLmutation ApiDeclareInbound($idempotencyKey: String!, $input: DeclareInboundInput!) {
apiDeclareInbound(idempotencyKey: $idempotencyKey, input: $input) {
appointmentId
arrivedAt
cancelledAt
closedAt
createdAt
damagedUnits
dueAt
expectedUnits
facilityCode
facilityId
id
inboundMode
lateness
note
orderNo
orderSliceId
organizationId
origin
photoKeys
receivedAt
receivedUnits
reference
scheduledAt
sellerName {
ar
en
fr
tn
}
sellerReference
shopRepresentative
sliceNo
status
}
}
curlcurl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"mutation ApiDeclareInbound($idempotencyKey: String!, $input: DeclareInboundInput!) { apiDeclareInbound(idempotencyKey: $idempotencyKey, input: $input) { appointmentId arrivedAt cancelledAt closedAt createdAt damagedUnits dueAt expectedUnits facilityCode facilityId id inboundMode lateness note orderNo orderSliceId organizationId origin photoKeys receivedAt receivedUnits reference scheduledAt sellerName { ar en fr tn } sellerReference shopRepresentative sliceNo status } }"}'